<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/ExternalMediaAdapterInterface.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ExternalMediaAdapterInterface.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_requires_shutdown_8h_source.html">AVSCommon/Utils/RequiresShutdown.h</a>&quot;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExternalMediaAdapterInterface.h:</div>
<div class="dyncontent">
<div class="center"><img src="_external_media_adapter_interface_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8h">
<area shape="rect" id="node2" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="68,119,256,157"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_external_media_adapter_interface_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_external_media_adapter_interface_8hdep">
<area shape="rect" id="node2" href="_adapter_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/ExternalMediaPlayer\l/AdapterUtils.h" alt="" coords="5,119,266,184"/>
<area shape="rect" id="node5" href="_external_media_player_observer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/ExternalMediaPlayerObserverInterface.h" alt="" coords="291,119,557,184"/>
<area shape="rect" id="node6" href="_external_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/include\l/ExternalMediaPlayer/ExternalMedia\lPlayer.h" alt="" coords="376,232,613,311"/>
<area shape="rect" id="node3" href="_adapter_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/ExternalMediaPlayer/AdapterUtils.cpp" alt="" coords="103,245,353,297"/>
<area shape="rect" id="node4" href="_external_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/src\l/ExternalMediaPlayer.cpp" alt="" coords="100,359,273,424"/>
<area shape="rect" id="node7" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="690,359,917,424"/>
<area shape="rect" id="node11" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="285,772,504,824"/>
<area shape="rect" id="node18" href="_external_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/test\l/ExternalMediaPlayerTest.cpp" alt="" coords="396,359,593,424"/>
<area shape="rect" id="node8" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="971,472,1199,524"/>
<area shape="rect" id="node9" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="583,572,806,624"/>
<area shape="rect" id="node16" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="732,472,947,524"/>
<area shape="rect" id="node10" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="359,672,577,724"/>
<area shape="rect" id="node15" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="601,672,807,724"/>
<area shape="rect" id="node14" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="528,772,730,824"/>
<area shape="rect" id="node12" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="295,872,494,911"/>
<area shape="rect" id="node13" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="610,872,890,911"/>
<area shape="rect" id="node17" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="881,579,1156,617"/>
</map>
</div>
</div>
<p><a href="_external_media_adapter_interface_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_state.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterState</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">alexaClientSDK::avsCommon::sdkInterfaces</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a3ef9db230cc2a852c0dca2669733cfdd"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdd">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddafaee4ca3c30ee18148ce3ada37466498">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::INIT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddabdbfe4286d50d09ad7fde962dcadb0ea">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DEINIT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda4976d7ca80f2cb54c1c7d5c87fb0c7ef">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::LOGIN</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda6b4ea69e17243db95f7b46c384d40370">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::LOGOUT</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda6a216efc529825c60a4a4c0bc99ad77f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::PLAY</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddabac2aec3ee8d7d495123dbe5ca2fdac9">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::RESUME</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda291554596c183e837f0a6bec3767c891">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::PAUSE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda615a46af313786fc4e349f34118be111">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::STOP</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaefd8e9774a36ea75d1cbab98ecba5312">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::PAUSE_RESUME_TOGGLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda47559fb833ff58321570e5e877b467f6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::NEXT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda315ba7a868d45a9cb131c8dca3166b51">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::PREVIOUS</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda023418747f62596e661828ad289f9fd1">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::START_OVER</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddafe48dc1aa055edc05bb3f1db44bf9e3f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::FAST_FORWARD</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaf302817a1a3baa8f5aef592bda7c0adc">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::REWIND</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda262dab2d76e82f83e0c981e0372025fa">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::ENABLE_REPEAT_ONE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaa2a9b8d18fae33fbfd97830940705e25">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DISABLE_REPEAT_ONE</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda5599a51729f75f3d058ddc7dad49e384">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::ENABLE_REPEAT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaef32cc2ba67b1ec38670dead3c18cf53">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DISABLE_REPEAT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaae74b0b6d349c980a2329bc9c5cf1d66">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::ENABLE_SHUFFLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddaaf7aaf6d6fc5ba25daee4b6636910a2f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DISABLE_SHUFFLE</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda39946cd74c5a09296f76740ad067c460">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::FAVORITE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda0612caa9f009923d3f13e1d91cd1539a">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DESELECT_FAVORITE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda5c2f8adadd8300e2e33031712bee3af9">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::UNFAVORITE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda29812ae90a2f56da4f219353def068ba">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::DESELECT_UNFAVORITE</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda71fa98cecf9e896e77d11325dbe19dc6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::SEEK</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda1b6236451a19ee2e11ae9fb2f1185059">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::ADJUST_SEEK</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdda38ebb8e25710b9f8a396f33f4c7a4f9f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::SET_VOLUME</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddab5552a9f35fc451cc7a23ac1b874545d">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::ADJUST_VOLUME</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddab243ecd279e16ae7bd331aa787b6543d">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::SET_MUTE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfddab50339a10e1de285ac99d4c3990b8693">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RequestType::NONE</a>
<br />
 }</td></tr>
<tr class="memdesc:a3ef9db230cc2a852c0dca2669733cfdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum class for the different Request Types that an ExternalMediaAdapter handles.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdd">More...</a><br /></td></tr>
<tr class="separator:a3ef9db230cc2a852c0dca2669733cfdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add8b68bcbddf1c10e71d9bf8fa340a66"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a6a216efc529825c60a4a4c0bc99ad77f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::PLAY</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66abac2aec3ee8d7d495123dbe5ca2fdac9">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::RESUME</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a291554596c183e837f0a6bec3767c891">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::PAUSE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a615a46af313786fc4e349f34118be111">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::STOP</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a47559fb833ff58321570e5e877b467f6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::NEXT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a315ba7a868d45a9cb131c8dca3166b51">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::PREVIOUS</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a023418747f62596e661828ad289f9fd1">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::START_OVER</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66afe48dc1aa055edc05bb3f1db44bf9e3f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::FAST_FORWARD</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66af302817a1a3baa8f5aef592bda7c0adc">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::REWIND</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a5599a51729f75f3d058ddc7dad49e384">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::ENABLE_REPEAT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a262dab2d76e82f83e0c981e0372025fa">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::ENABLE_REPEAT_ONE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66aef32cc2ba67b1ec38670dead3c18cf53">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::DISABLE_REPEAT</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66aae74b0b6d349c980a2329bc9c5cf1d66">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::ENABLE_SHUFFLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66aaf7aaf6d6fc5ba25daee4b6636910a2f">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::DISABLE_SHUFFLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a39946cd74c5a09296f76740ad067c460">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::FAVORITE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a5c2f8adadd8300e2e33031712bee3af9">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::UNFAVORITE</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a71fa98cecf9e896e77d11325dbe19dc6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::SEEK</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#add8b68bcbddf1c10e71d9bf8fa340a66a1b6236451a19ee2e11ae9fb2f1185059">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation::ADJUST_SEEK</a>
<br />
 }</td></tr>
<tr class="separator:add8b68bcbddf1c10e71d9bf8fa340a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5001f8c852ae2815ae1e39c33af58369"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369a8c1fa281e95892653145c8279611948c">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType::VOICE_INTERACTION</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369a9797436a15d2817f0cf803b4a4192ecf">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType::PHYSICAL_INTERACTION</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369acae1713345d7cb29478a14266b7355f6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType::APP_INTERACTION</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369a7a18d2c8dc5fabbd3ba21a5a5f6d3532">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType::RULE_TRIGGER</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a5001f8c852ae2815ae1e39c33af58369ac2df29fefd1a1ee58106bb18563495ea">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeCauseType::PERIODIC_POLL</a>
<br />
 }</td></tr>
<tr class="separator:a5001f8c852ae2815ae1e39c33af58369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ef4764dfc52eba79cf6345853b77a6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a76ef4764dfc52eba79cf6345853b77a6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::Favorites</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a76ef4764dfc52eba79cf6345853b77a6af7c29c75803e8bd4039ea07a2307e791">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::Favorites::FAVORITED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a76ef4764dfc52eba79cf6345853b77a6a0b9b4237a1b7659eddb0cc00d9cdda9d">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::Favorites::UNFAVORITED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a76ef4764dfc52eba79cf6345853b77a6a2c25db4cbf8eeac801ec4b9be6b59e08">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::Favorites::NOT_RATED</a>
 }</td></tr>
<tr class="separator:a76ef4764dfc52eba79cf6345853b77a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a278ddc22d0280cbe5dd79dec501e9607"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607ab82057c0f8a7631cf533363631986a00">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::TRACK</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607a78e22457c7b45ec21614b44e54620ef3">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::PODCAST</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607aa0b67bb0a7cfbb35a3b71363059d5d80">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::STATION</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607ae182ebbc166d73366e7986813a7fc5f1">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::AD</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607af5a2496cf66cb8cffe66cb1b27d7dede">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::SAMPLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a278ddc22d0280cbe5dd79dec501e9607a03570470bad94692ce93e32700d2e1cb">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaType::OTHER</a>
<br />
 }</td></tr>
<tr class="separator:a278ddc22d0280cbe5dd79dec501e9607"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9ce41adc4cd7d79bf72ce8caeed1039c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a9ce41adc4cd7d79bf72ce8caeed1039c">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperationToString</a> (SupportedPlaybackOperation operation)</td></tr>
<tr class="separator:a9ce41adc4cd7d79bf72ce8caeed1039c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e0ca726cacdcc460086efc5c9e4bb11"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a9e0ca726cacdcc460086efc5c9e4bb11">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ChangeTriggerToString</a> (ChangeCauseType changeType)</td></tr>
<tr class="separator:a9e0ca726cacdcc460086efc5c9e4bb11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0aa4845c4a9d491f16f686c6f2049d8"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#ac0aa4845c4a9d491f16f686c6f2049d8">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::RatingToString</a> (Favorites rating)</td></tr>
<tr class="separator:ac0aa4845c4a9d491f16f686c6f2049d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c0d42aef4f5d5ea51a5334d0364d1b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a80c0d42aef4f5d5ea51a5334d0364d1b">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::MediaTypeToString</a> (MediaType mediaType)</td></tr>
<tr class="separator:a80c0d42aef4f5d5ea51a5334d0364d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9afa889d5d1f36d596f9f9d9aba3fad1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a9afa889d5d1f36d596f9f9d9aba3fad1">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::SHUFFLE_STATUS_STRING</a> (bool shuffleEnabled)</td></tr>
<tr class="separator:a9afa889d5d1f36d596f9f9d9aba3fad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674dafa95a7c30db1eb72b65c016140e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a674dafa95a7c30db1eb72b65c016140e">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::REPEAT_STATUS_STRING</a> (bool repeatEnabled)</td></tr>
<tr class="separator:a674dafa95a7c30db1eb72b65c016140e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
